Schedules
List runs for a schedule
List recent runs triggered by a specific schedule.
GET
/api/schedules/{id}/runsbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
id*string
Query Parameters
limit?integer
Default
20Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueHeader Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidcurl -X GET "https://loading/api/schedules/string/runs"{
"runs": [
{
"id": "string",
"packageId": "string",
"userId": "string",
"orgId": "string",
"status": "pending",
"input": {},
"result": {},
"state": {},
"error": "string",
"tokensUsed": 0,
"tokenUsage": {},
"startedAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z",
"duration": 0,
"connectionProfileId": "string",
"scheduleId": "string",
"packageVersionId": 0,
"proxyLabel": "string",
"modelLabel": "string",
"cost": 0,
"endUserId": "string",
"applicationId": "string"
}
],
"total": 0
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}